Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class SAMLHolderOfKeyToken

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
          be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
              be.ehealth.technicalconnector.service.sts.security.impl.SAMLHolderOfKeyToken

All Implemented Interfaces:
  Credential, ExtendedCredential, SAMLToken

Direct Known Subclasses:
  SAMLTokenImpl

    public class SAMLHolderOfKeyToken

extends AbstractSAMLToken

The Class SAMLTokenImpl. Extends : `AbstractSAMLToken`

Constructor Summary
`SAMLHolderOfKeyToken(Element assertion, Credential credential)` Instantiates a new sAML token impl.

Method Summary

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
`checkValidity, getAssertion, getAssertionID, getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
`getCertPath, getExpirationDateTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential
`getCertPath, getExpirationDateTime`

Constructor Detail

### SAMLHolderOfKeyToken

    public SAMLHolderOfKeyToken(Element assertion,
                                Credential credential)

  Instantiates a new sAML token impl.

  Parameters:
    `assertion` - the assertion
    `credential` - the credential

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.